Bug 3549

Summary: Package built by the autobuilder not appearing in the repository
Product: [Websites] maemo.org Website Reporter: Thomas Schmidt <tschmidt>
Component: AutobuilderAssignee: Niels Breet <maemo>
Status: RESOLVED FIXED QA Contact: repositories <repositories>
Severity: normal    
Priority: Low CC: geekpenguin, marcell
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Linux   
Attachments: Small script to find packages which were built fine, but are missing in the Packages-file

Description Thomas Schmidt (reporter) 2008-08-09 20:55:02 UTC
I am trying to get a new package (canola-flickr-plugin) into the extras-devel
repositories since 20080805, everything seems to work fine on my side, the
autobuilder builds the package fine (see [1], [2], [3], [4] and [5]), but the
package just does not appear in the repository.

There is only an empty directory on repository.maemo.org, see [6] and [7]. 
Even the sources are listed on the webserver, see [8] and [9].

I hope that this issue can be resolved soon, it is really annoying. :)

[1]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001676.html
[2]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001677.html
[3]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001742.html
[4]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001743.html
[5]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001793.html

[6]
http://repository.maemo.org/extras-devel/pool/diablo/free/c/canola-flickr-plugin/
[7]
http://repository.maemo.org/extras-devel/pool/chinook/free/c/canola-flickr-plugin/

[8]
http://repository.maemo.org/extras-devel/pool/diablo/free/source/c/canola-flickr-plugin/
[9]
http://repository.maemo.org/extras-devel/pool/chinook/free/source/c/canola-flickr-plugin/
Comment 1 Niels Breet maemo.org 2008-08-11 19:37:55 UTC
Hi,

This is what I see in the log for the repository queue manager:
---
info: Checking .changes file...
info:   canola-flickr-plugin_0.0.1-2.dsc ok
info:   canola-flickr-plugin_0.0.1-2.tar.gz ok
info: canola-flickr-plugin_0.0.1-2_i386.changes file OK
info:  canola-flickr-plugin_0.0.1-2.dsc ->
diablo/free/source/c/canola-flickr-plugin
info:  canola-flickr-plugin_0.0.1-2.tar.gz ->
diablo/free/source/c/canola-flickr-plugin
---

It only copies your sources.

Now we need to find out why..
Comment 2 Niels Breet maemo.org 2008-08-12 17:30:02 UTC
Change to default priority as required for Sprint.
Comment 3 Tyler P. Longwell 2008-08-14 18:23:44 UTC
This bug appears for package PyAno, too. It is built successfully. [1] And a
folder is created in extras-devel repo, but it is empty. [2] Also, PyAno has no
sources shown, either. [3]

1. https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/001963.html
2. http://repository.maemo.org/extras-devel/pool/diablo/free/p/pyano/
3. http://repository.maemo.org/extras-devel/pool/diablo/free/source/p/pyano/
Comment 4 Thomas Schmidt (reporter) 2008-09-16 01:51:45 UTC
Any news on this bug?

It seems that there is a third package which is affected by this bug,
maemo-mapper, it was built OK on 20080817, see [1], but it did not appear in
the repository.

[1]
https://garage.maemo.org/pipermail/extras-cauldron-builds/2008q3/002015.html
Comment 5 Thomas Schmidt (reporter) 2008-09-16 01:58:51 UTC
Created an attachment (id=936) [details]
Small script to find packages which were built fine, but are missing in the
Packages-file

Takes as parameter a uncompressed mbox-file with -m, generated mine from the
gzipped mboxes from https://garage.maemo.org/pipermail/extras-cauldron-builds/
and a uncompressed Packages file with -p, i tested with
http://repository.maemo.org/extras-devel/dists/diablo/free/binary-armel/Packages
from today.

The results were the following:

chelli@w3n:~/extras-builder$ ./package-tester.py -m test.mbox -p
Packages-diablo-20080915
Missing packages in Packages file Packages-diablo-20080915:
canola-flickr-plugin
maemo-mapper
pyano
Comment 6 Niels Breet maemo.org 2008-09-23 12:56:48 UTC
I have been chasing this problem and I think I have found a clue.

All these packages are still in the incoming queue for extras devel.

When I looked at the changes files for canola2-flickr-pluging, maemo-mappper
and pyano, I noticed that they all use a capitalized section name:
user/Multimedia, maemo/Applications, user/Apps.

I guess this causes a problem. I'm not sure it is even allowed. Can somebody
try to upload the same package but with a valid section? Please see the Maemo
Packaging Policy for a list:
https://maemo.org/forrest-images/pdf/maemo-policy.pdf

Let's see if that helps.
Comment 7 Thomas Schmidt (reporter) 2008-09-23 13:55:46 UTC
You are right, this really was the reason, i just changed the section from
user/Multimedia to user/multimedia in my case and now it appeared in the
repository.

While i think that it is really a good idea to force maintainers to use the
pre-defined sections, it would be much better to warn the maintainer in the
case that there is such a problem instead of silently ignoring the package. ;-)
Comment 8 Marcell Lengyel maemo.org 2008-09-23 15:32:13 UTC
I have also run into this when releasing nokia binaries. A bug/feature in queue
manager. It could be fixed in queue manager, when it strips the pgp signature
from the changes file it could change the section names to small letters in the
same function. Now let's find someone who has time to fix it.